package com.ruoyi.common.mybatisConfig;

import com.baomidou.mybatisplus.core.injector.AbstractMethod;
import com.baomidou.mybatisplus.core.injector.DefaultSqlInjector;
import com.baomidou.mybatisplus.core.metadata.TableInfo;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 添加Sql注入方法,支持空字段更新
 */
@Component
public class CustomerSqlInjector extends DefaultSqlInjector {
    @Override
    public List<AbstractMethod> getMethodList(Class<?> mapperClass, TableInfo tableInfo){
        List<AbstractMethod> methodList=super.getMethodList(mapperClass, tableInfo);
        methodList.add(new InsertList("insertList"));

        return methodList;
    }
}
