package com.ruoyi.system.constant;

import com.ruoyi.common.utils.StringUtils;

public enum ProjectStateConstant {

    PORJECT_STATE_DISABLE("0","禁用"),
    PORJECT_STATE_ENABLE("1","启用")
    ;



    private final String code;

    private final String name;



    ProjectStateConstant(String code, String name){
        this.code = code;
        this.name = name;
    }

    public String getName(String code){
        if (StringUtils.isEmpty(code)){
            return "";
        }
        for (ProjectStateConstant constant : ProjectStateConstant.values()){
            if (StringUtils.equals(code,constant.getCode())){
                return constant.getName();
            }
        }
        return "";
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
