package com.ruoyi.system.domain.my;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 我的灵活从业者对象 m_user
 *
 * @author ruoyi
 * @date 2024-09-30
 */
@Data
@TableName("m_user")
public class MUser extends BaseEntity {

private static final long serialVersionUID=1L;

        /** $column.columnComment */
        @TableId(type = IdType.ASSIGN_ID)
        private Long id;

        /** 姓名 */
        @Excel(name = "姓名")
        private String name;

        /** 联系电话 */
        @Excel(name = "联系电话")
        private String phone;

        /** 所在区域 */
        @Excel(name = "所在区域")
        private String region;

        /** 详细地址 */
        @Excel(name = "详细地址")
        private String address;

        /** 开户行 */
        @Excel(name = "开户行")
        private String bank;

        /** 银行账户 */
        @Excel(name = "银行账户")
        private String bankAccount;

        /** 银行账户 */
        @Excel(name = "银行账户")
        private String bankAddress;

        /** 头像 */
        private String headPortrait;

        private Long sysUserId;

        private String agentSysUserId;

        @TableField(exist = false)
        private String skillLabel;

}
