package com.ruoyi.system.domain.shop;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;

/**
 * 商家接单对象 tb_accept_orders
 *
 * @author ruoyi
 * @date 2024-09-27
 */
@Data
@TableName("s_accept_orders")
public class SAcceptOrders extends BaseEntity {

private static final long serialVersionUID=1L;

        /** $column.columnComment */
        @TableId(type = IdType.ASSIGN_ID)
        private Long id;

        /** 商家ID   */
        @Excel(name = "商家ID  ")
        private Long businessId;

        /** 订单编号 */
        @Excel(name = "订单编号")
        private String orderNum;

        /** 接单状态  */
        @Excel(name = "接单状态 ")
        private Integer status;

        /** 凭证地址 */
        @Excel(name = "凭证地址")
        private String voucherAddress;

        /** 凭证上传时间 */
        @JsonFormat(pattern = "yyyy-MM-dd")
        @Excel(name = "凭证上传时间", width = 30, dateFormat = "yyyy-MM-dd")
        private Date voucherTime;

        /** 接单时间 */
        @JsonFormat(pattern = "yyyy-MM-dd")
        @Excel(name = "接单时间", width = 30, dateFormat = "yyyy-MM-dd")
        private Date acceptOrdersTime;

}
