package com.ruoyi.system.domain.shop;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 商家服务环境附件对象 s_shop_file
 *
 * @author ruoyi
 * @date 2024-10-10
 */
@Data
@TableName("s_shop_file")
public class SShopFile extends BaseEntity {

private static final long serialVersionUID=1L;

        /** $column.columnComment */
        @TableId(type = IdType.ASSIGN_ID)
        private Long id;

        /** $column.columnComment */
        @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
        private String url;

        /** $column.columnComment */
        @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
        private String fileName;

        /** $column.columnComment */
        @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
        private String newFileName;

        /** 业务主键 */
        @Excel(name = "业务主键")
        private Long shopInformationId;

}
