package com.ruoyi.system.mapper.withdrawalRecord;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.withdrawalRecord.TWithdrawalRecord;

/**
 * 提现记录Mapper接口
 * 
 * @author ruoyi
 * @date 2024-09-25
 */
public interface TWithdrawalRecordMapper extends BaseMapper<TWithdrawalRecord>
{
    /**
     * 查询提现记录
     * 
     * @param id 提现记录主键
     * @return 提现记录
     */
    public TWithdrawalRecord selectTWithdrawalRecordById(Long id);

    /**
     * 查询提现记录列表
     * 
     * @param tWithdrawalRecord 提现记录
     * @return 提现记录集合
     */
    public List<TWithdrawalRecord> selectTWithdrawalRecordList(TWithdrawalRecord tWithdrawalRecord);

    /**
     * 新增提现记录
     * 
     * @param tWithdrawalRecord 提现记录
     * @return 结果
     */
    public int insertTWithdrawalRecord(TWithdrawalRecord tWithdrawalRecord);

    /**
     * 修改提现记录
     * 
     * @param tWithdrawalRecord 提现记录
     * @return 结果
     */
    public int updateTWithdrawalRecord(TWithdrawalRecord tWithdrawalRecord);

    /**
     * 删除提现记录
     * 
     * @param id 提现记录主键
     * @return 结果
     */
    public int deleteTWithdrawalRecordById(Long id);

    /**
     * 批量删除提现记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTWithdrawalRecordByIds(Long[] ids);
}
