package com.ruoyi.system.service.giveDetail;

import java.util.List;
import com.ruoyi.system.domain.giveDetail.TbGiveDetail;

/**
 * 服务发放明细Service接口
 * 
 * @author ruoyi
 * @date 2024-09-24
 */
public interface ITbGiveDetailService 
{
    /**
     * 查询服务发放明细
     * 
     * @param id 服务发放明细主键
     * @return 服务发放明细
     */
    public TbGiveDetail selectTbGiveDetailById(Long id);

    /**
     * 查询服务发放明细列表
     * 
     * @param tbGiveDetail 服务发放明细
     * @return 服务发放明细集合
     */
    public List<TbGiveDetail> selectTbGiveDetailList(TbGiveDetail tbGiveDetail);

    /**
     * 新增服务发放明细
     * 
     * @param tbGiveDetail 服务发放明细
     * @return 结果
     */
    public int insertTbGiveDetail(TbGiveDetail tbGiveDetail);

    /**
     * 修改服务发放明细
     * 
     * @param tbGiveDetail 服务发放明细
     * @return 结果
     */
    public int updateTbGiveDetail(TbGiveDetail tbGiveDetail);

    /**
     * 批量删除服务发放明细
     * 
     * @param ids 需要删除的服务发放明细主键集合
     * @return 结果
     */
    public int deleteTbGiveDetailByIds(Long[] ids);

    /**
     * 删除服务发放明细信息
     * 
     * @param id 服务发放明细主键
     * @return 结果
     */
    public int deleteTbGiveDetailById(Long id);
}
