package com.ruoyi.system.constant;

import com.ruoyi.common.utils.StringUtils;

public enum ExtractConstant {

    EXTRACT_SUCCESS("1", "提现成功"),
    EXTRACT_FAIL("2", "提现失败"),
    EXTRACT_IN("3", "提现中");

    private final String code;
    private final String name;

    ExtractConstant(String code,String name){
        this.code = code;
        this.name = name;
    }

    public String getName(String code){
        if (StringUtils.isEmpty(code)){
            return "";
        }
        for (ExtractConstant constant : ExtractConstant.values()){
            if (StringUtils.equals(code,constant.getCode())){
                return constant.getName();
            }
        }
        return "";
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
