package com.ruoyi.system.constant;

import com.ruoyi.common.utils.StringUtils;

public enum OrderConstant {

    ACCEPT_ORDERS("1","待接单"),
    IN_TASK("2","任务中"),
    WAIT_FINISH("3","待交单"),
    FINISH("4","已完成")
    ;



    private final String code;

    private final String name;



    OrderConstant(String code,String name){
        this.code = code;
        this.name = name;
    }

    public String getName(String code){
        if (StringUtils.isEmpty(code)){
            return "";
        }
        for (OrderConstant constant : OrderConstant.values()){
            if (StringUtils.equals(code,constant.getCode())){
                return constant.getName();
            }
        }
        return "";
    }

    public String getCode() {
        return code;
    }

    public String getName() {
        return name;
    }
}
