package com.ruoyi.system.domain.my;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;

/**
 * 我得订单对象 m_orders
 *
 * @author ruoyi
 * @date 2024-09-30
 */
@Data
@TableName("m_orders")
public class MOrders extends BaseEntity {

private static final long serialVersionUID=1L;

        /** $column.columnComment */
        @TableId(type = IdType.ASSIGN_ID)
        private Long id;

        /** m_user */
        @Excel(name = "m_user")
        private Long mUserId;

        /** 编号 */
        @Excel(name = "编号")
        private String orderNum;

        /** 接单状态  */
        @Excel(name = "接单状态 ")
        private Integer status;

        /** 接单时间 */
        @JsonFormat(pattern = "yyyy-MM-dd")
        @Excel(name = "接单时间", width = 30, dateFormat = "yyyy-MM-dd")
        private Date acceptOrdersTime;

        /** 核销码 */
        @Excel(name = "核销码")
        private String verificationCode;

        /**
         * 服务名称
         */
        @TableField(exist = false)
        private String serName;

}
