package com.ruoyi.system.domain.my;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 我得技能对象 m_skill
 *
 * @author ruoyi
 * @date 2024-09-30
 */
@Data
@TableName("m_skill")
public class MSkill extends BaseEntity {

private static final long serialVersionUID=1L;

        /** $column.columnComment */
            @TableId(type = IdType.ASSIGN_ID)
        private Long id;

        /** m_user */
        @Excel(name = "m_user")
        private Long mUserId;

        /** 我可以做的 */
                @Excel(name = "我可以做的")
        private String canDone;

        /** 技能分类 */
                @Excel(name = "技能分类")
        private String skillSort;

        /** 技能标签 */
                @Excel(name = "技能标签")
        private String skillLabel;

        /** 技能描述 */
                @Excel(name = "技能描述")
        private String skillDescribe;

}
