package com.ruoyi.system.domain.projectType;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 服务项目分类对象 tb_project_type
 * 
 * @author ruoyi
 * @date 2024-09-27
 */
@Data
@TableName("tb_project_type")
public class TbProjectType extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /** 项目编码 */
    @Excel(name = "项目编码")
    private String typeCode;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String typeName;

}
