package com.ruoyi.system.domain.serProjrct;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 服务项目对象 tb_ser_projects
 * 
 * @author ruoyi
 * @date 2024-09-23
 */
@Data
@TableName("tb_ser_projects")
public class TbSerProjects extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    /** 项目名称 */
    @Excel(name = "项目名称")
    private String itemName;

    /** 服务分类 */
    @Excel(name = "服务分类")
    private String type;

    /** 价值 */
    @Excel(name = "价值")
    private Double price;

    /** 页面显示状态 0-禁用,1-启用 */
    @Excel(name = "状态")
    private String pageState;

    /** 描述 */
    @Excel(name = "描述")
    private String description;

    /** 是否删除 0-否 1-是 */
    private String isDelete;

    /** 数据状态 1-有效 2-无效 */
    private String state;

    /**
     * 操作按钮中状态
     */
    private String state1;

}
