package com.ruoyi.system.domain.shop;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 商家素材图片上传对象 s_shop_material
 *
 * @author ruoyi
 * @date 2024-10-09
 */
@Data
@TableName("s_shop_material")
public class SShopMaterial extends BaseEntity {

private static final long serialVersionUID=1L;

        /** $column.columnComment */
        @TableId(type = IdType.ASSIGN_ID)
        private Long id;

        /** 商家店铺ID */
        @Excel(name = "商家店铺ID")
        private Long shopId;

        /** 1-汽车；2道路救援；3-车辆检测 */
        @Excel(name = "1-汽车；2道路救援；3-车辆检测")
        private Integer materialType;

        /** $column.columnComment */
        @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
        private String url;

        /** $column.columnComment */
        @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
        private String fileName;

        /** $column.columnComment */
        @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
        private String newFileName;

}
