package com.ruoyi.system.mapper.shop;

import java.util.List;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.shop.SAcceptOrders;

/**
 * 商家接单Mapper接口
 *
 * @author ruoyi
 * @date 2024-09-27
 */
public interface SAcceptOrdersMapper extends BaseMapper<SAcceptOrders>
{
    /**
     * 查询商家接单
     *
     * @param id 商家接单主键
     * @return 商家接单
     */
    public SAcceptOrders selectSAcceptOrdersById(Long id);

    /**
     * 查询商家接单列表
     *
     * @param sAcceptOrders 商家接单
     * @return 商家接单集合
     */
    public List<SAcceptOrders> selectSAcceptOrdersList(SAcceptOrders sAcceptOrders);

    /**
     * 新增商家接单
     *
     * @param sAcceptOrders 商家接单
     * @return 结果
     */
    public int insertSAcceptOrders(SAcceptOrders sAcceptOrders);

    /**
     * 修改商家接单
     *
     * @param sAcceptOrders 商家接单
     * @return 结果
     */
    public int updateSAcceptOrders(SAcceptOrders sAcceptOrders);

    /**
     * 删除商家接单
     *
     * @param id 商家接单主键
     * @return 结果
     */
    public int deleteSAcceptOrdersById(Long id);

    /**
     * 批量删除商家接单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSAcceptOrdersByIds(Long[] ids);
}
