package com.ruoyi.system.service.my;

import com.ruoyi.system.domain.my.MOrdersFile;

import java.util.List;

/**
 * 我得订单 附件Service接口
 * 
 * @author ruoyi
 * @date 2024-09-30
 */
public interface IMOrdersFileService 
{
    /**
     * 查询我得订单 附件
     * 
     * @param id 我得订单 附件主键
     * @return 我得订单 附件
     */
    public MOrdersFile selectMOrdersFileById(Long id);

    /**
     * 查询我得订单 附件列表
     * 
     * @param mOrdersFile 我得订单 附件
     * @return 我得订单 附件集合
     */
    public List<MOrdersFile> selectMOrdersFileList(MOrdersFile mOrdersFile);

    /**
     * 新增我得订单 附件
     * 
     * @param mOrdersFile 我得订单 附件
     * @return 结果
     */
    public int insertMOrdersFile(MOrdersFile mOrdersFile);

    /**
     * 修改我得订单 附件
     * 
     * @param mOrdersFile 我得订单 附件
     * @return 结果
     */
    public int updateMOrdersFile(MOrdersFile mOrdersFile);

    /**
     * 批量删除我得订单 附件
     * 
     * @param ids 需要删除的我得订单 附件主键集合
     * @return 结果
     */
    public int deleteMOrdersFileByIds(Long[] ids);

    /**
     * 删除我得订单 附件信息
     * 
     * @param id 我得订单 附件主键
     * @return 结果
     */
    public int deleteMOrdersFileById(Long id);
}
